Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class QueryResponseDocument

    java.lang.Object
      org.exist.soap.QueryResponseDocument

All Implemented Interfaces:
  java.io.Serializable

public class QueryResponseDocument
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`QueryResponseDocument()`
`QueryResponseDocument(java.lang.String documentName, int hitCount)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getDocumentName()` Gets the documentName value for this QueryResponseDocument.
`int` | `getHitCount()` Gets the hitCount value for this QueryResponseDocument.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setDocumentName(java.lang.String documentName)` Sets the documentName value for this QueryResponseDocument.
`void` | `setHitCount(int hitCount)` Sets the hitCount value for this QueryResponseDocument.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResponseDocument

    public QueryResponseDocument()

### QueryResponseDocument

    public QueryResponseDocument(java.lang.String documentName,
                                 int hitCount)

Method Detail

### getDocumentName

    public java.lang.String getDocumentName()

  Gets the documentName value for this QueryResponseDocument.

  Returns:
    documentName

### setDocumentName

    public void setDocumentName(java.lang.String documentName)

  Sets the documentName value for this QueryResponseDocument.

  Parameters:
    `documentName` -

### getHitCount

    public int getHitCount()

  Gets the hitCount value for this QueryResponseDocument.

  Returns:
    hitCount

### setHitCount

    public void setHitCount(int hitCount)

  Sets the hitCount value for this QueryResponseDocument.

  Parameters:
    `hitCount` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.